Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

All SQL Compliance Manager 5.0 and later versions require .NET 4.0 components. Previous versions of SQL Compliance Manager require at least .NET 3.5.

Info
titleIDERA SQL Compliance Manager version 5.5 and above require .NET Framework 3.5

Windows Server 2016 and above do not install .NET Framework 3.5 by default, therefore users must install or enable .NET Framework 3.5 from the windows components in the server manager.

Note

IDERA SQL Compliance Manager 5.5.x depends on certain Microsoft components that did not ship with SQL Server versions prior to SQL Server 2012 SP1. Before starting the installation process, please review some important installation steps.

...

Software TypeRequirement
Operating SystemThe Collection Server requires one of the following operating systems:
  • Windows Server 2019
  • Windows Server 2016
  • Windows Server 2012
  • Windows Server 2008 R2
  • Windows Server 2008 SP1Windows 10
  • Windows 8.1
  • Windows 8
  • Windows 7 SP1+
Microsoft SQL ServerThe Collection Server requires one of the following versions of Microsoft SQL Server and supports all editions except SQL Server Express:
  • SQL Server 2019
  • SQL Server 2017
  • SQL Server 2016
  • SQL Server 2014
  • SQL Server 2012 SP1
  • SQL Server 2008 R2 SP1+
  • SQL Server 2008 SP1+

Management Console

Ensure each console computer meets or exceeds the following software requirements. You can install the console on the Collection Server computer, or any client computer for remote access to your audit data.

Software TypeRequirement
Operating SystemThe Collection Server requires one of the following operating systems:
  • Windows Server 2019
  • Windows Server 2016
  • Windows Server 2012
  • Windows Server 2008 R2
  • Windows Server 2008 SP1Windows 10
  • Windows 8.1
  • Windows 8
  • Windows 7 SP1+

The Management Console computer also requires Microsoft Data Access Components (MDAC) 2.6 or later. If you plan to audit SQL Server 2005 instances, upgrade to MDAC 2.8 or later. SQL Server 2005 requires MDAC 2.8 to communicate with other applications.

DocumentationInternet Explorer 7.0 or later

...

Software TypeRequirement
Operating SystemThe agent requires one of the following operating systems:
  • Windows Server 2019
  • Windows Server 2016
  • Windows Server 2012
  • Windows Server 2008 R2
  • Windows Server 2008 SP1Windows 10
  • Windows 8.1
  • Windows 8
  • Windows 7 SP1+

Cloud

SQL Compliance Manager runs on various Cloud Virtual Machines running Microsoft Windows Server and Microsoft SQL Server.

Info

SQL Compliance Manager can access mapped cloud drives but does not support cloud databases.

Note
titlePaaS Support

Cloud relational database services are currently not supported for auditing or for deploying the software repository databases to, as SQL Compliance Manager requires an Agent Service or a Collection Management Service respectively, to be installed on the client and application/repository side.

Cloud Service Delivery ModelIaaSPaaS (DBaaS)
Amazon EC2

Windows Server

SQL Server

-
Microsoft Azure VM

Windows Server 

SQL Server

-

Google Cloud Platform

Windows Server

SQL Server

-


Web Console

Supported web browsers for the IDERA SQL Compliance Manager Web console include:

...